{
  "accUserMode" : 2,
  "caption" : "树表格(增强)行编辑测试",
  "codeName" : "TESTTreeGridExRowEdit",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTTreeGridExRowEdit.json",
  "mDCtrlActiveMode" : 2,
  "name" : "TESTTreeGridExRowEdit",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "TreeGridExView",
    "name" : "engine"
  } ],
  "getPSAppViewRefs" : [ {
    "name" : "NEWDATA",
    "realTitle" : "简单编辑",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "EDITDATA",
    "realTitle" : "测试实体数据重定向视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTRedirectView.json",
      "viewType" : "DEREDIRECTVIEW"
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "TreeGridExRowEdittoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "树表格(增强)行编辑测试_工具栏",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "xDataControlName" : "treegridex",
    "modelid" : "E9B80179-7E77-4000-9CAE-C5200D9D0AFD",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "TreeGridExRowEdit_TreeGrid",
    "controlType" : "TREEGRIDEX",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSTREEGRIDICES/TreeGridExRowEdit_TreeGrid.json",
    "logicName" : "树表格(增强)行编辑测试_树表格",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "treegridex"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "TREEGRIDEX"
    },
    "getPSDETreeColumns" : [ {
      "align" : "LEFT",
      "caption" : "名称",
      "codeName" : "name",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "name",
      "name" : "name",
      "width" : 250,
      "widthUnit" : "PX",
      "enableExpand" : false,
      "enableSort" : false
    }, {
      "align" : "CENTER",
      "caption" : "类型",
      "codeName" : "type",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "type",
      "name" : "type",
      "width" : 150,
      "widthUnit" : "PX",
      "enableExpand" : false,
      "enableSort" : false
    }, {
      "align" : "RIGHT",
      "caption" : "金额",
      "codeName" : "amount",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "amount",
      "name" : "amount",
      "width" : 150,
      "widthUnit" : "PX",
      "enableExpand" : false,
      "enableSort" : false
    } ],
    "getPSDETreeNodeRSs" : [ {
      "getChildPSDETreeNode" : {
        "modelref" : true,
        "id" : "node"
      },
      "name" : "默认根节点 - 实体节点",
      "getParentPSDETreeNode" : {
        "modelref" : true,
        "id" : "ROOT"
      },
      "parentValueLevel" : 1,
      "searchMode" : 3
    } ],
    "getPSDETreeNodes" : [ {
      "counterMode" : 0,
      "name" : "默认根节点",
      "nodeType" : "ROOT",
      "nodeValue" : "root",
      "text" : "默认根节点",
      "treeNodeType" : "STATIC",
      "hasPSDETreeNodeRSs" : true,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : true,
      "rootNode" : true,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "ROOT"
    }, {
      "counterMode" : 0,
      "getIdPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      },
      "maxSize" : 20,
      "name" : "实体节点",
      "nodeType" : "node",
      "getPSAppDEDataSet" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSDETreeNodeColumns" : [ {
        "cLConvertMode" : "NONE",
        "codeName" : "amount",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "amount",
        "name" : "amount",
        "getPSAppDEField" : {
          "name" : "AMOUNT",
          "codeName" : "Amount"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "amount"
        },
        "unitName" : "元",
        "enableRowEdit" : true,
        "enableUnitName" : true
      }, {
        "cLConvertMode" : "NONE",
        "codeName" : "testname",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "testname",
        "name" : "testname",
        "getPSAppDEField" : {
          "name" : "TESTNAME",
          "codeName" : "TESTName"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "name"
        },
        "enableRowEdit" : true
      }, {
        "cLConvertMode" : "FRONT",
        "codeName" : "type",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "type",
        "name" : "type",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__TestType.json"
        },
        "getPSAppDEField" : {
          "name" : "TYPE",
          "codeName" : "Type"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "type"
        },
        "enableRowEdit" : true
      } ],
      "getPSDETreeNodeDataItems" : [ {
        "cLConvertMode" : "NONE",
        "dataType" : 6,
        "name" : "amount",
        "getPSAppDEField" : {
          "name" : "AMOUNT",
          "codeName" : "Amount"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "amount"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "name" : "testname",
        "getPSAppDEField" : {
          "name" : "TESTNAME",
          "codeName" : "TESTName"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "name"
        }
      }, {
        "cLConvertMode" : "FRONT",
        "dataType" : 25,
        "getFrontPSCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__TestType.json"
        },
        "name" : "type",
        "getPSAppDEField" : {
          "name" : "TYPE",
          "codeName" : "Type"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "type"
        }
      } ],
      "getPSDETreeNodeEditItems" : [ {
        "codeName" : "amount",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "amount",
        "getPSAppDEField" : {
          "name" : "AMOUNT",
          "codeName" : "Amount"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "amount"
        },
        "getPSEditor" : {
          "editorType" : "NUMBER",
          "maxValue" : 10000.0,
          "minValue" : 19.0,
          "name" : "amount",
          "precision" : 2
        },
        "unitName" : "元",
        "updateDV" : "size",
        "updateDVT" : "CONTEXT",
        "allowEmpty" : true,
        "enableUnitName" : true
      }, {
        "codeName" : "testname",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "testname",
        "getPSAppDEField" : {
          "name" : "TESTNAME",
          "codeName" : "TESTName"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "name"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 50,
          "minLength" : 3,
          "name" : "testname"
        },
        "updateDVT" : "OPERATORNAME",
        "allowEmpty" : true
      }, {
        "codeName" : "type",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "type",
        "getPSAppDEField" : {
          "name" : "TYPE",
          "codeName" : "Type"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "type"
        },
        "getPSEditor" : {
          "editorType" : "DROPDOWNLIST",
          "name" : "type",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__TestType.json"
          },
          "singleSelect" : true
        },
        "updateDV" : "A",
        "allowEmpty" : true,
        "needCodeListConfig" : true
      } ],
      "getRemovePSAppDEAction" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getTextPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      },
      "treeNodeType" : "DE",
      "hasPSDETreeNodeRSs" : false,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : false,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : false,
      "rootNode" : false,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "node"
    } ],
    "treeGridMode" : 1,
    "enableEdit" : true,
    "enableRootSelect" : false,
    "outputIconDefault" : false,
    "rootVisible" : false,
    "name" : "treegridex",
    "modelid" : "CFB9E77C-053A-463D-B81E-C09B9F2F0960",
    "modeltype" : "PSDETREEGRIDEX"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 0,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : false,
    "mobileSearchBar" : false
  }, {
    "caption" : "树表格(增强)行编辑测试",
    "codeName" : "TreeGridExRowEditcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "TreeGridExRowEdit",
  "getPSDEViewId" : "EDC22C50-5057-4190-B5AE-1FEB558C4C62",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDETREEGRIDEXVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "树表格(增强)行编辑测试",
  "viewStyle" : "DEFAULT",
  "viewType" : "DETREEGRIDEXVIEW",
  "xDataControlName" : "treegridex",
  "enableDP" : true,
  "enableFilter" : true,
  "enableSearch" : true,
  "modelid" : "ab8a47dbe529c8e5421f6a7a162d0654",
  "modeltype" : "PSAPPDEVIEW"
}